<?php
/**
 * The front page template file
 *
 * If the user has selected a static page for their homepage, this is what will
 * appear.
 * Learn more: https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */

get_header(); ?>
<?php
	if(has_post_thumbnail()):
		$bannerurl = get_the_post_thumbnail_url();
	else:
		if(get_field('smh_default_header_image','options')):
			$bannerurl = get_field('smh_default_header_image','options');
		else:
			$bannerurl = get_theme_file_uri('/assets/images/image-top-banner.jpg');
		endif;
	endif;
?>

  <div class="section-top-banner" style="background-image: url(<?=$bannerurl;?>)">
      <div class="container">
        <?php if(get_field('smh_home_header_content')):?>
          <div class="banner-title">
              <h1>
                  <?php the_field('smh_home_header_content');?>
              </h1>
          </div>
        <?php  endif;?>
        <?php if(have_rows('smh_home_header_buttons')):?>
          <ul class="banner-buttons">
            <?php while(have_rows('smh_home_header_buttons')):the_row();?>
              <li>
                  <a href="<?php the_sub_field('smh_home_header_button_link')?>">
                      <?php echo get_sub_field('smh_home_header_button_text')?get_sub_field('smh_home_header_button_text'):'Button';?>
                  </a>
              </li>
            <?php endwhile;?>
          </ul>
        <?php endif;?>
      </div>
  </div> <!-- section-top-banner -->
  
  <div class="section-about">
      <div class="container">
      	<?php if(get_field('smh_home_about_content')):?>
          <div class="about-title">
              <h3>
                  <?php the_field('smh_home_about_content');?>
              </h3>
          </div>
		<?php  endif;?>
		<?php if(get_field('smh_home_about_button_link')):?>
          <div class="about-button-container">
              <a href="<?php the_field('smh_home_about_button_link');?>">
                  <?php echo get_sub_field('smh_home_about_button_text')?get_sub_field('smh_home_about_button_text'):'About Cardinal';?>
              </a>
          </div>
        <?php  endif;?>
      </div>
  </div> <!-- section-about -->
<?php if(have_rows('smh_home_ctas')):?> 
  <div class="section-savings">
      <div class="container">
          <div class="row">
            <?php while(have_rows('smh_home_ctas')):the_row();?>
              <div class="col-lg-3 col-md-3 col-sm-3 col-xs-12 savings-block-container">
                  <div class="savings-block">
                      <div class="savings-image" style="background-image: url(<?php the_sub_field('smh_home_cta_image');?>)"></div>
                      <div class="savings-fields">
                          <h4>
                            <?php the_sub_field('smh_home_cta_title');?>
                          </h4>
                          <?php the_sub_field('smh_home_cta_description');?>
						<?php if(get_sub_field('smh_home_cta_link')):?>
				              <a href="<?php the_sub_field('smh_home_cta_link');?>">
				                  <?php echo get_sub_field('smh_home_cta_link_text')?get_sub_field('smh_home_cta_link_text'):'See Options';?>
				              </a>
				        <?php  endif;?>
                      </div>
                  </div>
              </div>
            <?php endwhile;?>
          </div>
      </div> <!-- section-savings container -->
  </div> <!-- section-savings -->
<?php endif;?>  
    
<?php get_footer();
